import request from '@/utils/request'

// 查询工业园区各单位用水明细列表
export function listDetail(query) {
  return request({
    url: '/crmIndustrialParkWaterUsageDetail/findByPage',
    method: 'get',
    params: query
  })
}

// 查询工业园区各单位用水明细详细
export function getDetail(id) {
  return request({
    url: '/crmIndustrialParkWaterUsageDetail/detail/' + id,
    method: 'get'
  })
}

// 新增工业园区各单位用水明细
export function addDetail(data) {
  return request({
    url: '/crmIndustrialParkWaterUsageDetail/detail',
    method: 'post',
    data: data
  })
}

// 修改工业园区各单位用水明细
export function updateDetail(data) {
  return request({
    url: '/crmIndustrialParkWaterUsageDetail/detail',
    method: 'put',
    data: data
  })
}

// 删除工业园区各单位用水明细
export function delDetail(id) {
  return request({
    url: '/crmIndustrialParkWaterUsageDetail/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDetailBatch(ids) {
  console.log(ids);
  return request.post('/crmIndustrialParkWaterUsageDetail/delete',ids)
}

